Bug 977304 - [restapi] Missing permissions link at /vmpools url
[restapi] Missing permissions link at /vmpools url
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-restapi (Show other bugs)
3.2.0
Unspecified Unspecified
unspecified Severity low
: ---
: 3.4.0
Assigned To: Ravi Nori
Petr Beňas
infra
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-24 05:30 EDT by Ondra Machacek
Modified: 2016-02-10 14:24 EST (History)
8 users (show)

See Also:
Fixed In Version: ovirt-3.4.0-alpha1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-12 10:04:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 16777 None None None Never

  None (edit)
Description Ondra Machacek 2013-06-24 05:30:09 EDT
Description of problem:
There is missing <link href="/api/vmpools/{id}/permissions" rel="permissions"/> 
element for vmpools, only at /vmpools url.
It is ok for /vmpools/{vmpool:id}.

Version-Release number of selected component (if applicable):
sf18

How reproducible:
always

Steps to Reproduce:
1. Access /vmpools url.

Actual results:
<vmpools>
 <vmpool href="/api/vmpools/{id}" id="{id}">
 <actions>
  <link href="/api/vmpools/{id}/allocatevm" rel="allocatevm"/>
 </actions>
 <name>vmpool</name>
 <description/>
 <size>1</size>
 <cluster href="/api/clusters/{id}" id="{id}"/>
 <template href="/api/templates/{id}" id="{id}"/>
 <prestarted_vms>0</prestarted_vms>
 </vmpool>
</vmpools>

Expected results:
<vmpools>
 <vmpool href="/api/vmpools/{id}" id="{id}">
 <actions>
  <link href="/api/vmpools/{id}/allocatevm" rel="allocatevm"/>
 </actions>
 <name>vmpool</name>
 <description/>
 ** <link href="/api/vmpools/{id}/permissions" rel="permissions"/> **
 <size>1</size>
 <cluster href="/api/clusters/{id}" id="{id}"/>
 <template href="/api/templates/{id}" id="{id}"/>
 <prestarted_vms>0</prestarted_vms>
 </vmpool>
</vmpools>
Comment 2 Sandro Bonazzola 2014-01-14 03:43:23 EST
ovirt 3.4.0 alpha has been released
Comment 3 Petr Beňas 2014-02-17 06:54:10 EST
Verified in 3.4.0-0.7.beta2.el6.

<description/>
<link href="/api/vmpools/7404ef17-d2b9-429f-8315-6ad6785ac8c8/permissions" rel="permissions"/>
<size>1</size>
Comment 4 Itamar Heim 2014-06-12 10:04:59 EDT
Closing as part of 3.4.0

Note You need to log in before you can comment on or make changes to this bug.